INSTALLPKG(8)

NAVN
installpkg - installer Slackware pakker.

SAMMENDRAG
installpkg [ --warn ] [ --md5sum ] [ --root /annenroot ] [ --infobox ] [ --menu ] [ --terse ] [ --ask ] [ --priority ADD|REC|OPT|SKP ] [ --tagfile /mappe/tagfile ] pakkenaven [ pakkenavn2 ... ]

BESKRIVELSE
installpkg installer en enkelt eller flere *.tgz (eller .tbz, .tlz, .txz) binære pakker laget for å brukes på en Slackware Linux distribusjon.

VALGMULIGHETER

--warn pakkenavn
    Skriver ut en liste over alle filene som vil bli overskrevet (til stdout), men installerer ikke selve pakken. Listen er formatert på en slik måte at den lett kan brukes som en backup liste.

--md5sum pakkenavn
    Lagre verifiserings nummeret (md5sum) til pakken som metadata i /var/log/packages.

--root /alternativ_rot
    Installer med et annet toppnivå for filsystemet en / (som er standard). I eksempelet som er gitt brukes /alternativ_rot i stedet. Du kan også endre dette ved å sette ROOT variabelen.

--infobox
    Bruk /bin/dialog for å gi informative tilbakemeldinger mens pakken blir installert. Hovedsaklig brukt når installpkg kjøres fra andre skript.

--menu
    Bruk /bin/dialog for å vise en interaktiv meny som spør brukeren om han vil installere pakken(e) eller ikke. Hovedsaklig brukt når installpkg kjøres fra andre skript.

--terse
    Skriv en enkelt linje med informasjon (til stdout) når pakken installeres.

--ask
    Brukes sammen med -menu. Spør alltid om pakken skal installeres uansett pakke prioritet.

--priority ADD|REC|OPT|SKP
    Når du installerer med -menu brukes pakke prioriteringer (dette spesifiseres i en "tagfile" fil i filkatalogen til pakken) for å automatisk installere (ADD) eller ignorere (SKIP) en pakke, eller for å foreslå anbefalte pakker (REC) eller valgfritte pakker (OPT) til brukeren hvis en interaktiv meny brukes. Hvis en prioritet er satt i kommandolinjen vil denne overstyre verdiene i 'tagfile' filen for alle pakkene.

--tagfile /mappe/tagfile
    Oppgi en alternativ fil for pakke prioriteringer (i dette eksempelet blir /mappe/tagfile brukt). Standard er "tagfile" i filkatalogen til pakken.

EKSEMPLER

Installer en font pakke til X:

installpkg font-bh-ttf-1.0.3-noarch-1.txz

PS! Hvis en pakke er installert allerede bør du heller bruke upgradepkg(8).

Lag en backup av filene som vil bli overskrevet hvis pakken blir installert:

tar czvf /tmp/backup.tar.gz \
$(installpkg --warn font-bh-ttf-1.0.3-noarch-1.txz)

PROGRAMMERER
Patrick J. Volkerding <volkerdi@slackware.com>

SE OGSÅ
makepkg(8), removepkg(8), explodepkg(8), pkgtool(8), upgradepkg(8)